Bug 5913 - Improve error handling when 4.0.x client are used
: Improve error handling when 4.0.x client are used
Status: RESOLVED FIXED
: Java WS Core
globus_wsrf_core
: unspecified
: PC Windows XP
: P2 normal
: 4.2.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2008-03-13 15:10 by
Modified: 2008-03-21 10:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-03-13 15:10:52
If 4.0.x clients are used to contact 4.2 servers, the invocation will fail
because of wire incompatibility. For example, using 4.0.x counter against trunk
CounterService:

X:\>bin\counter-create -s https://localhost:8443/wsrf/services/CounterService
-z
 none
Error: No Action header

This error message needs to be improved with potential special handling for WS
Addressing version used in GT 4.0.x releases.
------- Comment #1 From 2008-03-19 15:39:15 -------
Fixed  in trunk:

X:\>bin\counter-create.bat -s
http://localhost:8080/wsrf/services/CounterService
Error: Addressing header is a draft version of WS Addressing:
"http://schemas.xm
lsoap.org/ws/2004/03/addressing". This could be a GT version mismatch, GT 4.0.x
client is being used to contact a GT 4.2.x server.
------- Comment #2 From 2008-03-21 10:22:22 -------
Improve error with 4.2.x client talking to 4.0.x server:

T:\> bin\counter-create.bat -s
http://localhost:8080/wsrf/services/CounterService
Addressing header is a draft version of WS Addressing:
"http://schemas.xmlsoap.o
rg/ws/2004/03/addressing". This could be a GT version mismatch, client is GT
4.2
.x  and response is from GT 4.0.x server

The fix is in 4.2.x code, so no change in GT 4.0.x on how it handles addressing
header version issues.